<template>
    <c-page title="币种信息维护">

  <!-- 面板展示区 -->
  <div class="eContainer">
    <el-form :model="model" :rules="rules" ref="modelForm" label-width="150px" label-position="left" size="small" :validate-on-rule-change="false">
       <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="tabClick">
        
            <!--Search Panel -->
           <el-tab-pane label="Search Panel" name="infsea">
                <m-infsea :model="model" :codes="codes"/>
           </el-tab-pane>
 
            <!--Currency -->
           <el-tab-pane label="Currency" name="curp0">
                <m-curp0 :model="model" :codes="codes"/>
           </el-tab-pane>
       </c-tabs>
    </el-form>
  </div>
  </c-page>
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Infcur from "~/model/Infcur"
import CommonProcess from "~/mixin/CommonProcess"
import Check from "~/model/Infcur/Check"
import Default from "~/model/Infcur/Default"
import Pattern from "~/model/Infcur/Pattern"
import Infsea from "./Infsea"
import Curp0 from "./Curp0"


export default {
    components:{
        "m-infsea" : Infsea,
        "m-curp0" : Curp0,
    },
    provide() {
        return {
            root: this
        }
    },
    mixins: [CommonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            tabVal: "infsea",
            trnName: "infcur",
            model: new Infcur().data,
            checkRules: Check,
            defaultRules: Default,
            pattern: Pattern,
            rules: null,
            codes: {

            },
           showflg: true,
        }
    },
    methods:{
        tabClick(){
        }
    },
    created:async function(){
      
        console.log("进入infcur交易");
        let rtnmsg = await this.init({})
        if(rtnmsg.respCode == SUCCESS)
        {
          //this.$notify.error({title:'提示',message:'初始化执行结束!'});
           //TODO 处理数据逻辑
           //this.updateModel(rtnmsg.data)

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
        
    }
}
</script>
<style>
<style>
    .topBtnGroup {
        height: 32px;
        margin-bottom: 5px;
        text-align: right;
    }

    .btnGroup {
        display: inline;
        padding: 0 20px;
    }
</style>
